## aptdaemon 0.43+bzr805

=== debian/changelog ===
aptdaemon (0.43+bzr805-0ubuntu10) precise-security; urgency=low

  * SECURITY UPDATE: information disclosure via simulate dbus method
    (LP: #1449587)
    - debian/patches/lp1449587.diff: drop privileges when running lintian,
      update tests.
    - CVE-2015-1323

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 02 Jun 2015 09:01:58 +0200

aptdaemon (0.43+bzr805-0ubuntu9) precise-proposed; urgency=low

  * debian/patches/fix-lp-1120322.patch: Resolve crash if configuration file
    changes are only one line long (LP: #1120322)

 -- Brian Murray <brian@ubuntu.com>  Wed, 20 Mar 2013 12:51:06 -0700

aptdaemon (0.43+bzr805-0ubuntu8) precise-proposed; urgency=low

  * Don't change the automatic installed state when upgrading package
    (Thanks a lot to Daniel Hartwig, LP: #1078544)

 -- Brian Murray <brian@ubuntu.com>  Fri, 11 Jan 2013 14:36:14 -0800

aptdaemon (0.43+bzr805-0ubuntu7) precise-security; urgency=low

  * SECURITY UPDATE: check downloaded keyid (LP: #1052789)
    - CVE-2012-0962

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 12 Oct 2012 15:59:48 +0200

aptdaemon (0.43+bzr805-0ubuntu6) precise-proposed; urgency=low

  * Fix crash in widget's diff view if a @@ line does not have a range
    (LP: #875879) 

 -- Brian Murray <brian@ubuntu.com>  Mon, 29 Oct 2012 05:58:07 -0700

aptdaemon (0.43+bzr805-0ubuntu5) precise-proposed; urgency=low

  * debian/patches/apt-dbus-text-api.patch:
    - Convert Origin.label from python-apt API to python-dbus API, for
      Python 2 compatibility (LP: #978654).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Sep 2012 15:17:56 +0100

aptdaemon (0.43+bzr805-0ubuntu4) precise-proposed; urgency=low

  * debian/patches/fix_gettext_return_value_type.patch: also return unicode
    from aptdaemon.utils.IsoCodes.get_localised_name(). (LP: #1034806)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 10 Aug 2012 18:22:00 -0700

aptdaemon (0.43+bzr805-0ubuntu3) precise-proposed; urgency=low

  * debian/patches/fix_gettext_return_value_type.patch:
    - Make sure to always return unicode from core.Transaction.gettext()
      (LP: #926340).  Based partially on a patch by Sebastian Heinlein.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 08 Aug 2012 16:28:01 +0100

aptdaemon (0.43+bzr805-0ubuntu2) precise-proposed; urgency=low

  * debian/patches:
    - Add fix-lp-971748: Fixes to the /proc/net based network monitor to
      not fail on systems without NetworkManager running (fixes LP: #971748))
    - Add fix-lp-932581: Fix GetUpdates on system with broken dependencies
      (fixes LP: #932581)
    - Add fix-lp-981124: Fix type mismatches in the client signals to not
      fail on very large packages (fixes LP: #981124)
    - Add fix-lp-900982: Fix return type of get_package_status_from_enum
      (fixes LP: #900982)

 -- Sebastian Heinlein <glatzor@ubuntu.com>  Tue, 12 Jun 2012 09:38:14 +0200

aptdaemon (0.43+bzr805-0ubuntu1) precise; urgency=low

  * New upstream snapshot:
    - Fix: Catch a possible exception in apt.cache.Cache.required_download
      which can occur if the user e.g. rebooted the system during a running
      debconf question (fixes LP: #659438)
      Furthermore raise ERROR_INCOMPLETE_INSTALL to signal the client
      that a call of FixIncompleteInstall() (basically a dpkg --configure -a
      call) fixes the issue
    - Fix: Sync all properties of the D-Bus transaction in the client before
      emitting the Finished signal (fixes LP: #747172) to ensure all changed
      properties are available (the order of received signals is not
      guranteed and the finished signal could be received before an error
      signal)
      Additionally raise the timeout before removing a transaction from
      D-Bus on the server side to give clients more time to sync
    - Fix wrong variable names in the download progress (fixes LP: #971839,
      LP: #976521)
    - Fix: Catch a possible pipe reading error (fixes LP: #733090)
    - Fix: Don't show the name of aptdaemon in crash reports
      (fixes LP: #973370)
      Aptdaemon is a system daemon and should work and fail silently
    - Fix: Fallback to a default terminal width of 80 chars (fixes LP: #948588)
      The width request could fail on standard input/output redirections
    - Fix: Don't use a reserved name for the simulate helper function
    - Fix: Convert exceptions to string before raising TransactionFailed()
    - Fix wrong variable name in the add license key failed error message
    - Fix: Don't overwrite the GObject.GObject.disconnect in
      aptdemon.client.Transaction by renaming the method to
      _disconnect_from_dbus()
    - Fix: Allow to cancel a transaction which hasn't been queued yet and
      is still in limbo
    - Fix: Raise NotImplementedError instead of ImplementedError
    - Add a test case for config file changes handling
  * debian/aptdaemon.install:
    - Don't ship the obsolete .desktop file anymore

 -- Sebastian Heinlein <glatzor@ubuntu.com>  Mon, 09 Apr 2012 20:48:44 +0200

aptdaemon (0.43+bzr790-0ubuntu1) precise; urgency=low

  New upstream snapshot:
  * merged patch for LP: #959131 (CVE 2012-0944)
  * pkcompat: Don't crash if the system time went backwards during a 
    transaction (Fixes LP: #940367)
  * worker: catch SystemErrors from python-apt when performing a system 
    upgrade (fixes LP: #932581)
  * pkcompat: Don't crash if an unsupported locale is used for the 
    transaction, fixes LP: #944553
  * Fix download progress information for translations of languages with
    an ISO 639 2T code (3 letters), e.g. Asturian (ast) - fixes LP: #966111
  * test: Add a test to ensure that every transaction is simulated 
    before it gets queued.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 02 Apr 2012 19:04:16 +0200

aptdaemon (0.43+bzr784-0ubuntu1) precise; urgency=low

  New upstream snapshot:
  * lock: Fix an exception if the lock file doesn't exists 
    (fixes LP: #954581)
  * Decrease the priority of the daemon to avoid blocking the user 

