=== debian/control ===
Source: aptdaemon
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Julian Andres Klode <jak@debian.org>
Build-Depends: debhelper (>= 7.3),
               dh-translations,
               dbus,
               python,
               python-setuptools,
               python-distutils-extra,
               python-apt (>= 0.7.96.1ubuntu9),
               python-debian,
               python-defer,
               python-dbus,
               python-gi,
               gir1.2-glib-2.0,
               python-software-properties
Standards-Version: 3.9.1
Homepage: https://launchpad.net/aptdaemon
Vcs-Bzr: lp:~aptdaemon-developers/aptdaemon/ubuntu-precise
Vcs-Browser: https://code.launchpad.net/~aptdaemon-developers/aptdaemon/ubuntu-precise
XS-Original-Vcs-Bzr: nosmart+http://bzr.debian.org/bzr/apt/aptdaemon/debian-sid
XS-Original-Vcs-Browser: http://bzr.debian.org/loggerhead/apt/aptdaemon/debian-sid
XS-Python-Version: >= 2.7

Package: aptdaemon
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-aptdaemon (= ${binary:Version}),
         python-gi,
         gir1.2-glib-2.0
XB-Python-Version: ${python:Versions}
Breaks: software-center (<< 1.1.21)
Description: transaction based package management service
 Aptdaemon allows normal users to perform package management tasks, e.g. 
 refreshing the cache, upgrading the system, installing or removing software 
 packages.
 .
 Currently it comes with the following main features:
 .
  - Programming language independent D-Bus interface, which allows one to
    write clients in several languages
  - Runs only if required (D-Bus activation)
  - Fine grained privilege management using PolicyKit, e.g. allowing all
    desktop user to query for updates without entering a password
  - Support for media changes during installation from DVD/CDROM
  - Support for debconf (Debian's package configuration system)
  - Support for attaching a terminal to the underlying dpkg call
 .
 This package contains the aptd script and all the data files required to run
 the daemon. Moreover it contains the aptdcon script, which is a command
 line client for aptdaemon. The API is not stable yet.

Package: python-aptdaemon
Architecture: all
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-apt (>= 0.7.96.1ubuntu9),
         python-debian,
         python-defer,
         python-dbus,
         python-gi,
         gir1.2-glib-2.0,
         python-pkg-resources,
         python-software-properties,
         policykit-1
Recommends: aptdaemon
XB-Python-Version: ${python:Versions}
Description: Python module for the server and client of aptdaemon
 Aptdaemon is a transaction based package management service. It allows 
 normal users to perform package management tasks, e.g. refreshing the 
 cache, upgrading the system, installing or removing software packages.
 .
 This package provides the Python modules required to run aptdaemon
 and to implement a client. The API is not stable yet.

Package: python-aptdaemon.test
Architecture: all
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-aptdaemon (= ${binary:Version}),
XB-Python-Version: ${python:Versions}
Description: Test environment for aptdaemon clients
 Aptdaemon is a transaction based package management daemon. It allows 
 normal users to perform package management tasks, e.g. refreshing the 
 cache, upgrading the system, installing or removing software packages.
 .
 This package provides the aptdaemon.test module and several helper
 scripts and a test repository to write unittests for aptdaemon
 clients.

Package: aptdaemon-data
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Replaces: python-aptdaemon-gtk (<= 0.41+bzr580-0ubuntu1)
Description: data files for clients
 Aptdaemon is a transaction based package management daemon. It allows 
 normal users to perform package management tasks, e.g. refreshing the 
 cache, upgrading the system, installing or removing software packages.
 .
 This package provides common data files (e.g. icons) for aptdaemon
 clients.
 
Package: python-aptdaemon-gtk
Architecture: all
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-aptdaemon.gtkwidgets (= ${binary:Version}),
         python-aptdaemon.gtk3widgets (= ${binary:Version})
XB-Python-Version: ${python:Versions}
Description: Transitional dummy package
 Aptdaemon is a transaction based package management daemon. It allows 
 normal users to perform package management tasks, e.g. refreshing the 
 cache, upgrading the system, installing or removing software packages.
 .
 This is a transitional dummy package to ease the migration
 from the python-aptdaemon-gtk to the new python-aptdaemon.gtk(3)widgets
 packages.
 .
 You can remove it safely.

Package: python-aptdaemon.pkcompat
Architecture: all
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-aptdaemon (= ${binary:Version}),
         python-packagekit,
Conflicts: packagekit
XB-Python-Version: ${python:Versions}
Description: PackageKit compatibilty for AptDaemon
 Aptdaemon is a transaction based package management daemon. It allows 
 normal users to perform package management tasks, e.g. refreshing the 
 cache, upgrading the system, installing or removing software packages.
 .
 This package adds a PackageKit DBus interface to AptDaemon.

Package: python-aptdaemon.gtkwidgets
Architecture: all
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-aptdaemon (= ${binary:Version}),
         python-gtk2,
         python-vte,
         aptdaemon-data
Conflicts: python-aptdaemon-gtk (<< 0.41+bzr582-0ubuntu1)
Replaces: python-aptdaemon-gtk (<< 0.41+bzr582-0ubuntu1)
XB-Python-Version: ${python:Versions}
Description: Python GTK+ 2 widgets to run an aptdaemon client
 Aptdaemon is a transaction based package management daemon. It allows 
 normal users to perform package management tasks, e.g. refreshing the 
 cache, upgrading the system, installing or removing software packages.
 .
 This package provides the Python GTK+ widgets to implement a fully working
 graphical client. The widgets can be used to initiate, to monitor and
 to control a transaction. The API is not stable yet.

Package: python-aptdaemon.gtk3widgets
Architecture: all
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-aptdaemon (= ${binary:Version}),
         python-gi,
         gir1.2-gtk-3.0,
         gir1.2-vte-2.90,
         aptdaemon-data
Conflicts: python-aptdaemon-gtk (<< 0.41+bzr582-0ubuntu1)
Replaces: python-aptdaemon-gtk (<< 0.41+bzr582-0ubuntu1)
XB-Python-Version: ${python:Versions}
Description: Python GTK+ 3 widgets to run an aptdaemon client
 Aptdaemon is a transaction based package management daemon. It allows 
 normal users to perform package management tasks, e.g. refreshing the 
 cache, upgrading the system, installing or removing software packages.
 .
 This package provides the Python GTK+ 3 widgets to implement a fully
 working graphical client. The widgets can be used to initiate, to
 monitor and to control a transaction. The API is not stable yet.
