=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with=python2,translations $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build *.egg-info po/aptdaemon.pot

# mvo: disabled temporarely, see changelog for 0.41+bzr586-0ubuntu1
#override_dh_auto_test:
#	unit2 discover
