## aptdaemon 0.45

=== debian/changelog ===
aptdaemon (0.45-2+deb7u1) oldstable-proposed-updates; urgency=medium

  * Non maintainer upload
  * Add CVE-2015-1323.patch to address CVE-2015-1323 - taken from
    0.43+bzr805-0ubuntu10 (Closes: #789162)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 29 Feb 2016 08:33:47 +0100

aptdaemon (0.45-2) unstable; urgency=medium

  * Check downloaded key id; merged from Ubuntu (CVE-2012-0962)

 -- Julian Andres Klode <jak@debian.org>  Sat, 02 Mar 2013 18:57:17 +0100

aptdaemon (0.45-1) unstable; urgency=low

  * New upstream releases bringing a lot of bug fixes and improvements
  * debian/control:
    - Remove use of X(B|S)-Python-Version
    - python-aptdaemon.pkcompat now provides packagekit-system-interface
      which helps to avoid ugly or dependencies in PackageKit clients
    - Don't use the shlibs depends since we don't have got any libraries
  * debian/aptdaemon.install:
    - Don't ship the aptdaemon.desktop file which was used in the apport
      reports

 -- Sebastian Heinlein (Devel) <devel@glatzor.de>  Mon, 11 Jun 2012 11:07:08 +0200

aptdaemon (0.43+bzr790-1) unstable; urgency=high

  * New upstream snapshot
  * fixes CVE-2012-0944

 -- Michael Vogt <mvo@debian.org>  Mon, 02 Apr 2012 20:57:57 +0200
