=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: aptdaemon
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Julian Andres Klode <jak@debian.org>
+Maintainer: Julian Andres Klode <jak@debian.org>
 Build-Depends: debhelper (>= 7.3),
-               dh-translations,
                dbus,
                python,
                python-setuptools,
@@ -18,11 +16,9 @@
                python-software-properties
 Standards-Version: 3.9.1
 Homepage: https://launchpad.net/aptdaemon
-Vcs-Bzr: lp:~aptdaemon-developers/aptdaemon/ubuntu-precise
-Vcs-Browser: https://code.launchpad.net/~aptdaemon-developers/aptdaemon/ubuntu-precise
-XS-Original-Vcs-Bzr: nosmart+http://bzr.debian.org/bzr/apt/aptdaemon/debian-sid
-XS-Original-Vcs-Browser: http://bzr.debian.org/loggerhead/apt/aptdaemon/debian-sid
-XS-Python-Version: >= 2.7
+Vcs-Bzr: nosmart+http://bzr.debian.org/bzr/apt/aptdaemon/debian-sid
+Vcs-Browser: http://bzr.debian.org/loggerhead/apt/aptdaemon/debian-sid
+X-Python-Version: >= 2.7
 
 Package: aptdaemon
 Architecture: all
@@ -31,7 +27,6 @@
          python-aptdaemon (= ${binary:Version}),
          python-gi,
          gir1.2-glib-2.0
-XB-Python-Version: ${python:Versions}
 Breaks: software-center (<< 1.1.21)
 Description: transaction based package management service
  Aptdaemon allows normal users to perform package management tasks, e.g. 
@@ -56,8 +51,7 @@
 Package: python-aptdaemon
 Architecture: all
 Section: python
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${python:Depends},
          python-apt (>= 0.7.96.1ubuntu9),
          python-debian,
@@ -69,7 +63,6 @@
          python-software-properties,
          policykit-1
 Recommends: aptdaemon
-XB-Python-Version: ${python:Versions}
 Description: Python module for the server and client of aptdaemon
  Aptdaemon is a transaction based package management service. It allows 
  normal users to perform package management tasks, e.g. refreshing the 
@@ -81,11 +74,9 @@
 Package: python-aptdaemon.test
 Architecture: all
 Section: python
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${python:Depends},
          python-aptdaemon (= ${binary:Version}),
-XB-Python-Version: ${python:Versions}
 Description: Test environment for aptdaemon clients
  Aptdaemon is a transaction based package management daemon. It allows 
  normal users to perform package management tasks, e.g. refreshing the 
@@ -97,8 +88,7 @@
 
 Package: aptdaemon-data
 Architecture: all
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends}
 Replaces: python-aptdaemon-gtk (<= 0.41+bzr580-0ubuntu1)
 Description: data files for clients
  Aptdaemon is a transaction based package management daemon. It allows 
@@ -111,12 +101,10 @@
 Package: python-aptdaemon-gtk
 Architecture: all
 Section: python
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${python:Depends},
          python-aptdaemon.gtkwidgets (= ${binary:Version}),
          python-aptdaemon.gtk3widgets (= ${binary:Version})
-XB-Python-Version: ${python:Versions}
 Description: Transitional dummy package
  Aptdaemon is a transaction based package management daemon. It allows 
  normal users to perform package management tasks, e.g. refreshing the 
@@ -131,13 +119,12 @@
 Package: python-aptdaemon.pkcompat
 Architecture: all
 Section: python
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${python:Depends},
          python-aptdaemon (= ${binary:Version}),
          python-packagekit,
 Conflicts: packagekit
-XB-Python-Version: ${python:Versions}
+Provides: packagekit-system-interface
 Description: PackageKit compatibilty for AptDaemon
  Aptdaemon is a transaction based package management daemon. It allows 
  normal users to perform package management tasks, e.g. refreshing the 
@@ -148,8 +135,7 @@
 Package: python-aptdaemon.gtkwidgets
 Architecture: all
 Section: python
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${python:Depends},
          python-aptdaemon (= ${binary:Version}),
          python-gtk2,
@@ -157,7 +143,6 @@
          aptdaemon-data
 Conflicts: python-aptdaemon-gtk (<< 0.41+bzr582-0ubuntu1)
 Replaces: python-aptdaemon-gtk (<< 0.41+bzr582-0ubuntu1)
-XB-Python-Version: ${python:Versions}
 Description: Python GTK+ 2 widgets to run an aptdaemon client
  Aptdaemon is a transaction based package management daemon. It allows 
  normal users to perform package management tasks, e.g. refreshing the 
@@ -170,8 +155,7 @@
 Package: python-aptdaemon.gtk3widgets
 Architecture: all
 Section: python
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${python:Depends},
          python-aptdaemon (= ${binary:Version}),
          python-gi,
@@ -180,7 +164,6 @@
          aptdaemon-data
 Conflicts: python-aptdaemon-gtk (<< 0.41+bzr582-0ubuntu1)
 Replaces: python-aptdaemon-gtk (<< 0.41+bzr582-0ubuntu1)
-XB-Python-Version: ${python:Versions}
 Description: Python GTK+ 3 widgets to run an aptdaemon client
  Aptdaemon is a transaction based package management daemon. It allows 
  normal users to perform package management tasks, e.g. refreshing the
