=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh --with=python2,translations $@
+	dh --with=python2 $@
 
 override_dh_auto_clean:
 	dh_auto_clean
