## aptdaemon 0.45+bzr861

=== debian/changelog ===
aptdaemon (0.45+bzr861-0ubuntu9.1.2) quantal-proposed; urgency=low

  * Don't change the automatic installed state when upgrading package
    (Thanks a lot to Daniel Hartwig, LP: #1078544)

 -- Brian Murray <brian@ubuntu.com>  Fri, 11 Jan 2013 13:42:28 -0800

aptdaemon (0.45+bzr861-0ubuntu9.1.1) quantal-proposed; urgency=low

  * debian/patches/fix_lintian_lp1060505.patch:
    - ignore lintian "file-in-etc-not-marked-as-conffile" (LP: #1060505)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 03 Dec 2012 08:33:11 +0100

aptdaemon (0.45+bzr861-0ubuntu9.1) quantal-proposed; urgency=low

  [ Sebastian Heinlein ]
  * do not issue a "quality warning" if dpkg-vendor is missing 
    (LP: #1066457)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 16 Oct 2012 13:58:07 +0200

aptdaemon (0.45+bzr861-0ubuntu9) quantal; urgency=low

  * Workaround that ensures that for sys.getfilesystemencoding() 
    "utf8" is used when the daemon is dbus auto-activatied (LP: #1058038)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 09 Oct 2012 14:27:36 +0200

aptdaemon (0.45+bzr861-0ubuntu8) quantal; urgency=low

  * debian/patches/lp846044.patch:
    - fix unicode decode error in py2 clients (LP: #846044)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 08 Oct 2012 15:57:29 +0200

aptdaemon (0.45+bzr861-0ubuntu7) quantal; urgency=low

  * Following https://bugs.launchpad.net/bugs/1016643,
    apt.auth.add_key_from_keyserver requires long (v4) keyids.  Fix
    tests.test_pk to account for that.
  * Force debconf priority to high for test_debconf.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 07 Oct 2012 15:28:18 +0100

aptdaemon (0.45+bzr861-0ubuntu6) quantal; urgency=low

  * Ensure the transaction is simulated in the pkcompat layer to
    ensure the high-trust repo support works from the packagekit
    compatibilty layer. This is needed for the unity-webapps 
    passwordless install to work.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 04 Oct 2012 16:58:34 +0200

aptdaemon (0.45+bzr861-0ubuntu5) quantal; urgency=low

  * debian/patches/binary-mode-report-writing.patch: open our crash
    report for writing in binary mode.  Closes LP: #1054984.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 26 Sep 2012 10:24:48 -0700

aptdaemon (0.45+bzr861-0ubuntu4) quantal; urgency=low

  * debian/patches/apt-dbus-text-api.patch:
    - Convert Origin.label from python-apt API to python-dbus API, for
      Python 2 compatibility (LP: #978654).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Sep 2012 15:12:38 +0100

aptdaemon (0.45+bzr861-0ubuntu3) quantal; urgency=low

  * debian/tests/control: Added missing dependencies required to run
    autopkgtest. Thanks Jean-Baptiste Lallement!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 13 Sep 2012 19:17:22 +0200

aptdaemon (0.45+bzr861-0ubuntu2) quantal; urgency=low

  * Add autopkgtest integration. Thanks Jean-Baptiste Lallement!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 13 Sep 2012 12:45:12 +0200

aptdaemon (0.45+bzr861-0ubuntu1) quantal; urgency=low

  * New upstream snapshot:
    - lp:~mvo/aptdaemon/support-for-whitelisted-repositories that adds
      support for a new trusted-repo policykit action LP: #1035207
    - lp:~vorlon/aptdaemon/lp.1034806 that fixes unicode/str errors
      LP: #768691, #926340, #1034806
  * debian/patches/fix_gettext_return_value_type.patch:
    - dropped, merged as part of lp:~vorlon/aptdaemon/lp.1034806
    
 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 13 Sep 2012 09:13:07 +0200

aptdaemon (0.45+bzr857-0ubuntu1) quantal; urgency=low

  * fix FTBFS in the tests when LANG/LANGUAGE is unset

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 12 Sep 2012 12:02:38 +0200

aptdaemon (0.45+bzr856-0ubuntu1) quantal; urgency=low

  * New upstream snapshot:
    - pkcompat: Fix get_files() LP: #1040619 (thanks to Martin Pitt)
    - Fix crash when run inside non-ascii dirs LP: #1044900
    - Fix crash in widget's diff view if a @@ line does not have a range
      LP: #875879 (thanks to Brian Murray)
    - Support credentials change when adding a repository that is already
      in sources.list/auth.conf

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 07 Sep 2012 10:20:10 +0200

aptdaemon (0.45+bzr852-0ubuntu2) quantal; urgency=low

  * debian/patches/fix_gettext_return_value_type.patch: also return unicode
    from aptdaemon.utils.IsoCodes.get_localised_name(). (LP: #1034806)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 11 Aug 2012 01:39:05 +0000

aptdaemon (0.45+bzr852-0ubuntu1) quantal; urgency=low

  [ Martin Pitt ]
  * debian/rules: Make test suite failures fatal again.
  
  [ Michael Vogt ]
  * New upstream snapshot:
    - lp:~evfool/aptdaemon/lp1030988:
      Change the error message for installation required from 
      unauthenticated sources (LP: #1030988)
    - lp:~dobey/aptdaemon/fix-imports: 
      Check that the item in sys.modules is not None before trying to 
      import it
    - fix "compatibilty" typo

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 10 Aug 2012 16:16:03 +0200

aptdaemon (0.45+bzr848-0ubuntu2) quantal; urgency=low

  * debian/patches/fix_gettext_return_value_type.patch:
    - Make sure to always return unicode from core.Transaction.gettext()
      (LP: #926340).  Based partially on a patch by Sebastian Heinlein.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 08 Aug 2012 16:19:51 +0100

aptdaemon (0.45+bzr848-0ubuntu1) quantal; urgency=low

  * New upstream snapshot:
    - aptdaemon/client.py: Prefer GI GObject module. (LP: #1026066)
    - lintian supports skipping user profiles since 2.5.9, make use of this to
      simplify code a bit.
  * debian/rules: Temporarily make test suite non-fatal while
    tests.test_worker.WorkerTestCase.test_install_file() is failing, as above
    fix is urgent for alpha-3.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 24 Jul 2012 10:09:31 +0200

aptdaemon (0.45+bzr846-0ubuntu1) quantal; urgency=low

  * New upstream snapshot:

