=== debian/tests/control ===
Tests: run-test
Depends: @, python3-nose, python3-setuptools, python3-distutils-extra, python3-mock, gir1.2-packagekitglib-1.0
