## aptdaemon 0.45+bzr883

=== debian/changelog ===
aptdaemon (0.45+bzr883-0ubuntu1) raring; urgency=low

  * New upstream snapshot:
    - Don't change the automatic installed state when upgrading package
      (Thanks a lot to Daniel Hartwig, LP: #1078544)
    - Add a regression test for LP: #750958
    - Don't depend on dpkg-dev to select the correct lintian profile.
      (Fixes LP: #1066457)
    -  If the user cannot be autohrized (either missing privileges 
       or a cancelled password dialog) the transaction will fail.
    - Don't fail if we want to remove a a package without a 
      candidate during transaction simulation.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 17 Dec 2012 11:45:14 +0100

aptdaemon (0.45+bzr877-0ubuntu1) raring; urgency=low

  * New upstream snapshot:
    - ignore lintian "file-in-etc-not-marked-as-conffile" (LP: #1060505)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 30 Nov 2012 08:28:18 +0100

aptdaemon (0.45+bzr876-0ubuntu1) raring; urgency=low

  * New upstream snapshot:
    - fix signal handling with latest python-gi
    - support /* */ comments in apt.conf{,.d}

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 28 Nov 2012 14:19:11 +0100

aptdaemon (0.45+bzr874-0ubuntu1) raring; urgency=low

  * New upstream snapshot:
    - Fix ClientTest.test_tid_caching without a system D-BUS.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 26 Nov 2012 12:42:15 +0100

aptdaemon (0.45+bzr873-0ubuntu1) raring; urgency=low

  * debian/control: Update Vcs-* for raring branch.
  * New upstream snapshot:
    - Open Apport crash report files in binary mode (LP #1054984)
    - Fix unicode decode error in py2 clients (LP #846044)
    - Fix tests for stricter GPG key requirements of current python3-apt
      (LP #1016643)
    - Reorganize transaction ID caching to avoid using pygobject internals and
      work with pygobject 3.7.x
    - Fix deprecated GObject API calls
  * Drop patches applied upstream:
    - binary-mode-report-writing.patch
    - test-long-keyids.patch 
    - lp846044.patch 
    - test-debconf-priority.patch

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 26 Nov 2012 12:22:02 +0100
