=== debian/control ===
--- 
+++ 
@@ -1,32 +1,55 @@
 Source: aptdaemon
 Section: admin
 Priority: extra
-Maintainer: Julian Andres Klode <jak@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Julian Andres Klode <jak@debian.org>
 Build-Depends: debhelper (>= 7.3),
+               debconf-i18n,
                dbus,
-               python,
+               lintian,
+               dh-translations,
+               python-all,
                python-setuptools,
                python-distutils-extra,
-               python-apt (>= 0.7.96.1ubuntu9),
-               python-debian,
-               python-defer,
+               python-nose,
+               python3-all,
+               python3-setuptools,
+               python3-distutils-extra,
+               python3-nose,
+               gir1.2-glib-2.0,
+               gir1.2-packagekitglib-1.0,
+               python3-apt (>= 0.8.5~ubuntu1),
+               python3-defer (>= 1.0.6),
+               python3-dbus,
+               python3-gi,
+               python3-mock,
+               python3-pkg-resources,
+               python-apt (>= 0.8.5~ubuntu1),
+               python-defer (>= 1.0.6),
                python-dbus,
                python-gi,
-               gir1.2-glib-2.0,
-               python-software-properties
+               python-mock,
+               python-pkg-resources,
+               iso-codes,
 Standards-Version: 3.9.1
 Homepage: https://launchpad.net/aptdaemon
-Vcs-Bzr: nosmart+http://bzr.debian.org/bzr/apt/aptdaemon/debian-sid
-Vcs-Browser: http://bzr.debian.org/loggerhead/apt/aptdaemon/debian-sid
+Vcs-Bzr: lp:~aptdaemon-developers/aptdaemon/ubuntu-raring
+Vcs-Browser: https://code.launchpad.net/~aptdaemon-developers/aptdaemon/ubuntu-raring
+XS-Original-Vcs-Bzr: nosmart+http://bzr.debian.org/bzr/apt/aptdaemon/debian-sid
+XS-Original-Vcs-Browser: http://bzr.debian.org/loggerhead/apt/aptdaemon/debian-sid
 X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.2
+XS-Testsuite: autopkgtest
 
 Package: aptdaemon
 Architecture: all
 Depends: ${misc:Depends},
-         ${python:Depends},
-         python-aptdaemon (= ${binary:Version}),
-         python-gi,
-         gir1.2-glib-2.0
+         ${python3:Depends},
+         gir1.2-glib-2.0,
+         python3-aptdaemon (= ${binary:Version}),
+         python3-gi,
+         policykit-1,
+Recommends: lintian
 Breaks: software-center (<< 1.1.21)
 Description: transaction based package management service
  Aptdaemon allows normal users to perform package management tasks, e.g. 
@@ -48,35 +71,58 @@
  the daemon. Moreover it contains the aptdcon script, which is a command
  line client for aptdaemon. The API is not stable yet.
 
+Package: python3-aptdaemon
+Architecture: all
+Section: python
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         gir1.2-glib-2.0,
+         python3-apt (>= 0.8.5~ubuntu1),
+         python3-defer (>= 1.0.6),
+         python3-dbus,
+         python3-gi,
+         python3-pkg-resources,
+         iso-codes,
+Recommends: aptdaemon
+Description: Python 3 module for the server and client of aptdaemon
+ Aptdaemon is a transaction based package management service. It allows 
+ normal users to perform package management tasks, e.g. refreshing the 
+ cache, upgrading the system, installing or removing software packages.
+ .
+ This package provides the Python 3 modules required to run aptdaemon
+ and to implement a client. The API is not stable yet.
+
+
 Package: python-aptdaemon
 Architecture: all
 Section: python
 Depends: ${misc:Depends},
          ${python:Depends},
-         python-apt (>= 0.7.96.1ubuntu9),
+         python-apt (>= 0.8.5~ubuntu1),
          python-debian,
          python-defer,
          python-dbus,
          python-gi,
          gir1.2-glib-2.0,
          python-pkg-resources,
-         python-software-properties,
-         policykit-1
+         iso-codes,
 Recommends: aptdaemon
-Description: Python module for the server and client of aptdaemon
+Description: Python 2 module for the server and client of aptdaemon
  Aptdaemon is a transaction based package management service. It allows 
  normal users to perform package management tasks, e.g. refreshing the 
  cache, upgrading the system, installing or removing software packages.
  .
- This package provides the Python modules required to run aptdaemon
+ This package provides the Python 2 modules required to run aptdaemon
  and to implement a client. The API is not stable yet.
 
-Package: python-aptdaemon.test
-Architecture: all
-Section: python
-Depends: ${misc:Depends},
-         ${python:Depends},
-         python-aptdaemon (= ${binary:Version}),
+Package: python3-aptdaemon.test
+Architecture: all
+Section: python
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         python3-aptdaemon (= ${binary:Version}),
+Breaks: python-aptdaemon.test
+Replaces: python-aptdaemon.test
 Description: Test environment for aptdaemon clients
  Aptdaemon is a transaction based package management daemon. It allows 
  normal users to perform package management tasks, e.g. refreshing the 
@@ -116,15 +162,16 @@
  .
  You can remove it safely.
 
-Package: python-aptdaemon.pkcompat
-Architecture: all
-Section: python
-Depends: ${misc:Depends},
-         ${python:Depends},
-         python-aptdaemon (= ${binary:Version}),
-         python-packagekit,
-Conflicts: packagekit
+Package: python3-aptdaemon.pkcompat
+Architecture: all
+Section: python
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         python3-aptdaemon (= ${binary:Version}),
 Provides: packagekit-system-interface
+Conflicts: packagekit,
+           python-aptdaemon.pkcompat,
+Replaces: python-aptdaemon.pkcompat
 Description: PackageKit compatibilty for AptDaemon
  Aptdaemon is a transaction based package management daemon. It allows 
  normal users to perform package management tasks, e.g. refreshing the 
@@ -152,11 +199,32 @@
  graphical client. The widgets can be used to initiate, to monitor and
  to control a transaction. The API is not stable yet.
 
+Package: python3-aptdaemon.gtk3widgets
+Architecture: all
+Section: python
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         python3-aptdaemon (= ${binary:Version}),
+         python3-gi,
+         gir1.2-gtk-3.0,
+         gir1.2-vte-2.90,
+         aptdaemon-data
+Conflicts: python-aptdaemon-gtk (<< 0.41+bzr582-0ubuntu1)
+Replaces: python-aptdaemon-gtk (<< 0.41+bzr582-0ubuntu1)
+Description: Python 3 GTK+ 3 widgets to run an aptdaemon client
+ Aptdaemon is a transaction based package management daemon. It allows 
+ normal users to perform package management tasks, e.g. refreshing the 
+ cache, upgrading the system, installing or removing software packages.
+ .
+ This package provides the Python 3 GTK+ 3 widgets to implement a fully
+ working graphical client. The widgets can be used to initiate, to
+ monitor and to control a transaction. The API is not stable yet.
+
 Package: python-aptdaemon.gtk3widgets
 Architecture: all
 Section: python
 Depends: ${misc:Depends},
-         ${python:Depends},
+         ${python3:Depends},
          python-aptdaemon (= ${binary:Version}),
          python-gi,
          gir1.2-gtk-3.0,
@@ -164,11 +232,11 @@
          aptdaemon-data
 Conflicts: python-aptdaemon-gtk (<< 0.41+bzr582-0ubuntu1)
 Replaces: python-aptdaemon-gtk (<< 0.41+bzr582-0ubuntu1)
-Description: Python GTK+ 3 widgets to run an aptdaemon client
- Aptdaemon is a transaction based package management daemon. It allows 
- normal users to perform package management tasks, e.g. refreshing the 
- cache, upgrading the system, installing or removing software packages.
- .
- This package provides the Python GTK+ 3 widgets to implement a fully
+Description: Python 2 GTK+ 3 widgets to run an aptdaemon client
+ Aptdaemon is a transaction based package management daemon. It allows 
+ normal users to perform package management tasks, e.g. refreshing the 
+ cache, upgrading the system, installing or removing software packages.
+ .
+ This package provides the Python 2 GTK+ 3 widgets to implement a fully
  working graphical client. The widgets can be used to initiate, to
  monitor and to control a transaction. The API is not stable yet.
