## aptdaemon 1.0

=== debian/changelog ===
aptdaemon (1.0-0ubuntu9) raring; urgency=low

  * Flush debconf-communicate stdin after writing to it
    (LP: #1163142, #1163163).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Apr 2013 14:07:01 +0100

aptdaemon (1.0-0ubuntu8) raring; urgency=low

  *debian/patches/fix-lp898851.patch: Workaround a random crash during
   progress dialog.  Thanks to Sebastian Heinlein for the patch. (LP: #898851)

 -- Brian Murray <brian@ubuntu.com>  Fri, 22 Mar 2013 15:09:13 -0700

aptdaemon (1.0-0ubuntu7) raring; urgency=low

  * debian/rules: Drop the hackery again to salvage the "whitelist directory"
    test case, and instead exclude it in lp1153725-temporary-workaround.patch
    as well. This fixes the failing autopkgtest.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 18 Mar 2013 14:27:32 +0100

aptdaemon (1.0-0ubuntu6) raring; urgency=low

  [ Martin Pitt ]
  * Add gir1.2-vte-2.90 build and test dependency.
  * debian/rules: Wait for previous xvfb to finish before starting the next
    one.
      
  [ Barry Warsaw ]
  * debian/control: 
    - Add Build-Depend on xvfb.
    - Bump Standards-Version to 3.9.4.
  * debian/rules: Run the tests under xvfb-run to avoid core dumps.
  * debian/patches/lp1153725-temporary-workaround.patch: Temporarily
    disable test which fails during the build.
  * debian/rules: Add the missing test directory and symlinks before running
    tests, as a workaround to LP #1153725. Clean up symlink directory in
    override_dh_auto_clean.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 18 Mar 2013 13:14:20 +0100

aptdaemon (1.0-0ubuntu5) raring; urgency=low

  * Add pep8 build dependency as well, as tests are called during package
    build.
  * disable-broken-test.patch: Disable harder, as a mere rename doesn't work
    with test auto-discovery.
  * Add gir1.2-gtk-3.0 build and test dependencies so that gtk3widgets can
    import Gdk.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 18 Mar 2013 12:17:19 +0100

aptdaemon (1.0-0ubuntu4) raring; urgency=low

  * Add missing pep8 test dependency.
  * Add upstream-pep8-fixes.patch: Fix some PEP-8 issues, caught by test
    suite.
  * Add disable-broken-test.patch: Disable
    test/data/high-trust-repository-whitelist.d/ test, as this directory and
    its contents are not actually shipped in the released tarball. Fixes
    autopkgtest failure.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 18 Mar 2013 11:16:11 +0100

aptdaemon (1.0-0ubuntu3) raring; urgency=low

  * Make the DEP-8 tests depend on xvfb.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Mar 2013 13:12:30 +0000

aptdaemon (1.0-0ubuntu2) raring; urgency=low

  * Run DEP-8 tests under xvfb-run, to match tests run during the build.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Mar 2013 11:34:25 +0000

aptdaemon (1.0-0ubuntu1) raring; urgency=low

  * New stable bug fix release 1.0:
    - Add PEP8 compliance and a corresponding test 
    - Fix PackageKit tests if an http proxy is set (LP: #1050799)
    - Fix crash for Python GTK2 clients (LP: #1108552)
    - Fix crash if configuration file changes are only one line long -
      thanks to Barry Warsaw and Robert Collins (LP: #1120322)
    - Fix crash if the removal of a package valid candidate is simulated
    - Allow repository release names to include dots
    - Convert aptdaemon exceptions to PackageKit ones in the compat
      layer (currently only invalid input ant failed authorization are
      supported)
    - Store the default values in the PackageKit transaction interface
      statically typed
    - Fix setting the speed property in the PackageKit interface
    - Several grammar and typo fixes in user interface messages and
      documentation (LP: #1112492)
  * debian/patches:
    - fix-high-trust-pkcompat.diff: updated
    - apt-dbus-text-api.patch: updated
    - fix-gobject-io-add-watch.patch: Added. Always include the priority
      in a GLib.io_add_watch() call to not cause problems with the backwards
      compatibility

 -- Sebastian Heinlein <glatzor@ubuntu.com>  Mon, 11 Mar 2013 07:02:07 +0100
