=== debian/control ===
--- 
+++ 
@@ -17,7 +17,9 @@
                python3-distutils-extra,
                python3-nose,
                gir1.2-glib-2.0,
+               gir1.2-gtk-3.0,
                gir1.2-packagekitglib-1.0,
+               gir1.2-vte-2.90,
                python3-apt (>= 0.8.5~ubuntu1),
                python3-defer (>= 1.0.6),
                python3-dbus,
@@ -31,7 +33,9 @@
                python-mock,
                python-pkg-resources,
                iso-codes,
-Standards-Version: 3.9.1
+               pep8,
+               xvfb
+Standards-Version: 3.9.4
 Homepage: https://launchpad.net/aptdaemon
 Vcs-Bzr: lp:~aptdaemon-developers/aptdaemon/ubuntu-raring
 Vcs-Browser: https://code.launchpad.net/~aptdaemon-developers/aptdaemon/ubuntu-raring
